> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User

> Get the current authenticated user



## OpenAPI

````yaml /api-reference/openapi.json get /users/me
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /users/me:
    get:
      tags:
        - Users
      summary: Get Current User
      description: Get the current authenticated user
      operationId: get_Users_users_me
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGetResponse'
components:
  schemas:
    UserGetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        email:
          type: string
          title: Email
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        created:
          type: string
          format: date-time
          title: Created
        updated:
          type: string
          format: date-time
          title: Updated
        tokens_remaining:
          type: integer
          title: Tokens Remaining
        client_data:
          additionalProperties: true
          type: object
          title: Client Data
      type: object
      required:
        - id
        - external_id
        - first_name
        - last_name
        - email
        - avatar_url
        - created
        - updated
        - tokens_remaining
        - client_data
      title: UserGetResponse
      description: API Response model for user information
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````